Meetings

Import meeting

Imports an existing meeting with notes, a transcript, and attendees. Imported meetings work like any other meeting in Circleback.

POST
/meetings

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

A meeting to import.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/meetings" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "notes": "string"  }'
{  "id": "WRweb12iCBimU6Vo8cD7z",  "name": "Event Venue Review",  "createdAt": "2023-07-25T20:30:57.926Z",  "updatedAt": "2023-07-25T20:30:57.926Z",  "tags": [    {      "id": 1,      "name": "Events",      "description": "Company events and offsites."    }  ],  "attendees": [    {      "profileId": 1,      "name": "John Appleseed",      "title": "Head of Operations",      "companyName": "Initech",      "email": "john@initech.com",      "isCalendarEventOrganizer": true,      "isCalendarInvitee": true    },    {      "profileId": 2,      "name": "Samantha Grey",      "title": "Office Manager",      "companyName": "Initech",      "email": "samantha@initech.com",      "isCalendarEventOrganizer": false,      "isCalendarInvitee": true    }  ],  "notes": "#### Overview\n* Several options for event venues were reviewed…"}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "issues": [    {      "message": "string",      "path": "string"    }  ]}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "issues": [    {      "message": "string",      "path": "string"    }  ]}